unit frmmain; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls, Calendar,model, mdactrls;

type
  TMainForm = class(TForm)
    BNew: TButton;
    BLoad: TButton;
    EID: TEdit;
    LDateOfBirth: TLabel;
    LELastName: TLabel;
    LEFirstName: TLabel;
    FModel: TModel;
    EFirstName: TMDAEdit;
    ELastName: TMDAEdit;
    CBirthDay: TMDAEdit;
    procedure BLoadClick(Sender: TObject);
    procedure BNewClick(Sender: TObject);
  private
    { private declarations }
    FPerson : TPerson;
  public
    { public declarations }
  end;

var
  MainForm: TMainForm;

implementation


{ TMainForm }

procedure TMainForm.BNewClick(Sender: TObject);
begin
  If Assigned(FPerson) then
    FreeAndNil(FPerson);
  FPerson:=FModel.CreateNewInstance('TPerson') as TPerson;
end;

procedure TMainForm.BLoadClick(Sender: TObject);
begin
  If Assigned(FPerson) then
    FreeAndNil(FPerson);
  FPerson:=FModel.CreateInstanceFromID('TPerson',EID.Text) as TPerson;
end;


initialization
  {$I frmmain.lrs}

end.

