program testm;
{$mode objfpc}
{$h+}

uses classes,sysutils,model;

Var
  F : TEntityFactory;
  P : TPerson;

begin
  F:=TEntityFactory.Create(Nil);
  Try
    P:=F.CreateNewInstance('TPerson') as TPerson;
    Try
      Writeln('New ID :',P.ID);
      P.FirstName:='Michael';
      P.LastName:='Van Canneyt';
      P.BirthDay:=EncodeDate(1970,7,7);
    Finally  
      FreeAndNil(P);
    end;
    P:=F.CreateInstanceFromID('TPerson','Person1') as TPerson;
    Try
      Writeln('First name : ',P.FirstName);
      Writeln('Last name  : ',P.LastName);
      Writeln('Birthday   : ',DateToStr(P.BirthDay)); 
    Finally
      FreeAndNil(P);
    end;  
  Finally
    F.Free;
  end;  
end.